CFLAGS = -O -DQDOS -D__QDOS__

SHSRC = sh_c shexec_c shint_c suppt_c

SHOBJ = sh_o shexec_o shint_o suppt_o

MYSRC = qdos_c # strout_c strol_c

MYOBJ = qdos_o # strout_o strol_o

LIBSRC = qerror_c qerror2_c stckchk_c jobload_c jobpipe_c jobchan_c jobstrt_c \
         jobterm_c chanopn_c misc_c setcon_c strol_c strout_c

LIBOBJ = qerror_o qerror2_o stckchk_o jobload_o jobpipe_o jobchan_o jobstrt_o \
         jobterm_o chanopn_o misc_o setcon_o ioopen3_o fi2_o strol_o strout_o


sh : $(SHOBJ) $(MYOBJ)  libpjt_a
    ld -osh -L $(SHOBJ) $(MYOBJ) -lpjt -lwinds -lhotthg $(DEBUG)

libpjt_a : $(LIBOBJ)
    slb -crv libpjt_a $?

sh_o      : sh_h shexec_h shint_h suppt_h libpjt_h
shexec_o  : sh_h suppt_h libpjt_h
shint_o   : sh_h shint_h suppt_h libpjt_h
suppt_o   : sh_h suppt_h libpjt_h

qerror2_o : libpjt_h
jobload_o : libpjt_h
jobpipe_o : libpjt_h
misc_o    : libpjt_h
setcon_o  : libpjt_h keys_h
